<!-- -------------------- ./proof/page.html -------------------- -->

<?php include "snippets/header.html"; ?>

<style>
  .highlight {
    background-color: var(--background-contrast-info);
    padding: 0.25rem  
  }
</style>
<!-- ----- content --------- -->
<main role="main" class="os-main-content">
  <div class="fr-container">
    <div class=" fr-grid-row fr-grid-row--gutters fr-mt-2w">
      <div class="fr-col-12">
       
        <div class="fr-alert fr-alert--info fr-mb-4w">
          <h1 class="fr-alert__title">Dossier de Preuve disponible !</h1>
          <p>Le dossier de preuve <code class="highlight"><?php echo $this->REFP; ?></code> est composé de 3 élements :
          <ul>
            <li>un fichier (type json) contenant tous les éléments techniques associés à la signature</li>
            <li>un fichier d'horodatage, certifiant la date de création du fichier précédent</li>
            <li>une autorité de certification (AC) , pour le fichier d'horodatage précédent</li>
          </ul>
          </p>
        </div>
        
        <ul class="fr-mb-4w fr-download" style="list-style:none;">
          <li><a class="fr-link fr-link--lg fr-icon-arrow-right-line fr-link--icon-left" href="/prf/ShowProof/<?php echo $this->REFP; ?>">voir le fichier preuve</a>&nbsp;&nbsp;&nbsp;
            <a href="/prf/DownProof/<?php echo $this->REFP; ?>" class="fr-download__link" download>(<em>téléchargez le</em>)</a></li>
          <li><a class="fr-link fr-link--lg fr-icon-arrow-right-line fr-link--icon-left" href="/prf/ShowTSA/<?php echo $this->REFP; ?>">voir le fichier horodatage</a>&nbsp;&nbsp;&nbsp;
            <a href="/prf/DownTSA/<?php echo $this->REFP; ?>" class="fr-download__link" download>(<em>téléchargez le</em>)</a></li>
	  <br>
	  
          <li>l'autorité de certification&nbsp;&nbsp;&nbsp;
            <a href="/prf/DownCA/<?php echo $this->REFP; ?>" class="fr-download__link" download>(<em>téléchargez la</em>)</a></li>
        </ul>
        
        <h2 class="fr-h4">Pour vérifier la validité et l'authenticité de ce dossier de preuve :</h2>
        <ul class="fr-mb-4w">
          <li>téléchargez les 3 fichiers ci-dessus</li>
          <li>puis vérifiez l'authenticité en utilisant le lien suivant: <a class="fr-link fr-link--lg" href="/vrf/VerifTSA" target="_blank">http://
            <?php echo $_SERVER['SERVER_NAME']; ?>/vrf/VerifTSA
          </a></li>
        </ul>
        
        <p><strong>
          Ou bien vous pourrez faire manuellement la vérification en utilisant OpenSSL de la manière suivante :</strong></p>
        <pre style="background-color: var(--grey-950-150);" class="fr-pl-2w fr-py-1v"><code>openssl ts -verify -data fichier_preuve.json -in fichier_preuve.tsa -token_in -CAfile ca_horodatage.pem
openssl ts -reply -in fichier_preuve.tsa -token_in -text</code></pre>
      </div>
    </div>
  </div>
</main>
<!-- ----- end content --------- -->

  
  <?php include "snippets/footer.html"; ?>

